    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ------------------
    028 * Point2DReadHandler
    029 * ------------------
    030 * (C) Copyright 2003, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: Point2DReadHandler.java,v 1.2 2005/10/18 13:33:32 mungady Exp $
    036 *
    037 * Changes (from 25-Nov-2003)
    038 * --------------------------
    039 * 25-Nov-2003 : Added standard header and Javadocs (DG);
    040 *
    041 */
    042
    043package org.jfree.xml.parser.coretypes;
    044
    045
    046import java.awt.geom.Point2D;
    047
    048import org.jfree.xml.parser.AbstractXmlReadHandler;
    049import org.xml.sax.Attributes;
    050import org.xml.sax.SAXException;
    051
    052/**
    053 * A SAX handler for reading {@link Point2D} objects from an XML element.
    054 */
    055public class Point2DReadHandler extends AbstractXmlReadHandler  {
    056
    057    /** The point under construction. */
    058    private Point2D point;
    059
    060    /**
    061     * Creates a new handler.
    062     */
    063    public Point2DReadHandler() {
    064        super();
    065    }
    066
    067    /**
    068     * At the start of parsing, the attributes are read and used to construct the point.
    069     *
    070     * @param attrs  the attributes.
    071     *
    072     * @throws SAXException if there is a parsing error.
    073     */
    074    protected void startParsing(final Attributes attrs) throws SAXException {
    075        final String x = attrs.getValue("x");
    076        final String y = attrs.getValue("y");
    077        this.point = new Point2D.Double(Double.parseDouble(x),
    078                                        Double.parseDouble(y));
    079    }
    080
    081    /**
    082     * Returns the point under construction.
    083     *
    084     * @return the point.
    085     */
    086    public Point2D getPoint2D() {
    087        return this.point;
    088    }
    089
    090    /**
    091     * Returns the point under construction.
    092     *
    093     * @return the point.
    094     */
    095    public Object getObject() {
    096        return this.point;
    097    }
    098
    099}